package org.apidesign.apifest08.currency;

import java.math.BigDecimal;

/**
 * Provider for conversion constant from any source
 * @author Ladislav Vitasek
 */
public interface ConversionRatioProvider {
    public BigDecimal getCurrency1ToCurrency2Constant() throws CannotProvideValueException;
    public BigDecimal getCurrency2ToCurrency1Constant() throws CannotProvideValueException;
}
